<?php
session_start();

include 'inc/config.php';
include 'inc/functions.php';

if (empty($user['login']) and empty($user['password']))
{
header('Location:'.$base_url.'logout');
exit;
}

session_write_close();

if (isset($_GET['id']))      {$id = $_GET['id']; if ($id == '') {unset($id);}}

$res_template = $pdo->prepare("SELECT * FROM templates WHERE id=:id");
$res_template->bindParam(':id', $id);
$res_template->execute();
$template = $res_template->fetch(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <base href="<?=$base_url;?>">
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Редактирование шаблона: <?=$template['name'];?></title>
        <link href="css/styles.css" rel="stylesheet" />
        <link href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" crossorigin="anonymous" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/js/all.min.js" crossorigin="anonymous"></script>
       
    </head>
    <body class="sb-nav-fixed">
<?php 
include 'inc/blocks/header.php';
?>
        <div id="layoutSidenav">
<?php
include 'inc/blocks/sidebar.php';
?>
            <div id="layoutSidenav_content">
                <main>
                    <div class="container-fluid" id="scroll" style="margin-bottom: 75px;">
                        <h3 class="my-4 ml-2">Шаблон: <?=$template['name'];?></h3>
                        <div class="row">

                        <div class="col-lg-6">
                        <div class="card mb-4">
                            <div class="card-header">Конструктор</div>
                            <form id="form_new_temp" class="card-body">

  <div class="form-group">
    <label>Ответ бота</label>
    <textarea class="form-control" name="text" rows="3" placeholder="Напишите текст ответа"></textarea>
    <input type="hidden" name="temp_id" value="<?=$id;?>">
  </div>

  <div class="alert alert-primary mt-2" role="alert">
      <p><b>[first_name]</b> - имя пользователя</p>
      <p><b>[username]</b> - юзернейм пользователя</p>
      <p><b>[user_id]</b> - айди пользователя</p>
      <p><b>[captcha]</b> - вывод вопроса капчи</p>
      <p><b>[ref]</b> - вывод реферальной ссылки</p>
  </div>

  <div class="form-group" id="image_result_constructor"></div>

  <div class="custom-file mb-3">
    <input type="file" class="custom-file-input" name="file" id="image_constructor">
    <input type="hidden" name="image" id="image_url_constructor">
    <label class="custom-file-label" for="image">Выбрать изображение</label>
  </div>

  <div class="form-group">
    <label for="sleep">Задержка перед отправкой</label>
    <input type="text" class="form-control" name="sleep" placeholder="Укажите число (по умолчанию 0)">
  </div>

  <div class="form-check mb-2 mx-2">
    <input type="checkbox" class="form-check-input" id="del" name="del">
    <label class="form-check-label" for="del"> Удалять предыдущий ответ?</label>
  </div>
 <hr>
<label for="sleep">Добавить кнопку</label>
 <div id="button_append">
 <div class="form-row" id="btn1">
    <div class="col">
      <input type="text" class="form-control" name="name_button1" placeholder="Название кнопки">
    </div>
    <div class="col">
      <input type="text" class="form-control" name="act_button1" placeholder="Действие кнопки">
    </div>
    <div class="col-1" id="col_btn1">
      <i style="cursor: pointer;" title="Добавить еще одну кнопку" class="fas fa-plus-circle fa-lg mt-2 text-success" id="add_btn1" onclick="appendButton(1);"></i>
    </div>
  </div>
  </div>
  <div class="alert alert-primary mt-2" role="alert">
      <b>ref</b> - действие для открытия реферальной страницы
  </div>

                            </form>
                        </div>
                        </div>

                        <div class="col-lg-6">
                        <div class="card mb-4">
                            <div class="card-header">Демонстрация<span id="result_sort"></span></div>
                            <div class="card-body sortable-ul" style="background-color: #fcfcfc" id="load_demo"></div>
                        </div>
                        </div>
                        </div>
                    </div>
                    <div class="fixed-bottom text-right p-3" style="background-color:#fff;z-index:12;border-top: 1px solid #d9dbe6;"><button class="btn btn-primary font-weight-bold py-2 px-4 mr-4" onclick="new_temp();return false;">Добавить ответ</button></div>
                </main>
            </div>
        </div>
<?php
include 'inc/blocks/block.modals.php';
?>
        <script src="https://code.jquery.com/jquery-3.4.1.min.js" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="js/scripts.js"></script>
        <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js" crossorigin="anonymous"></script>
        <script src="assets/demo/datatables-demo.js"></script>
        <script src="js/simpleUpload.min.js?v=2"></script>
         <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<?php
include 'inc/blocks/block.js.php';
?>
    </body>
</html>
