<?php
session_start();

include 'inc/config.php';
include 'inc/functions.php';


if (empty($user['login']) and empty($user['password']))
{
header('Location:'.$base_url.'logout');
exit;
}

$date_join = date('Y-m-d H:i:s');

$res_count_bots = $pdo->prepare("SELECT * FROM bots WHERE project_id=:project_id");
$res_count_bots->bindParam(':project_id', $project['id']);
$res_count_bots->execute();
$count_bots = $res_count_bots->rowCount();

$res_count_users = $pdo->prepare("SELECT * FROM users");
$res_count_users->execute();
$count_users = $res_count_users->rowCount();

$res_count_new_users = $pdo->prepare("SELECT * FROM users WHERE date_join=:date_join");
$res_count_new_users->bindParam(':date_join', $date_join);
$res_count_new_users->execute();
$count_new_users = $res_count_new_users->rowCount();

session_write_close();
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <base href="<?=$base_url;?>">
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Статистика</title>
        <link href="css/styles.css" rel="stylesheet" />
        <link href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" crossorigin="anonymous" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/js/all.min.js" crossorigin="anonymous"></script>
    </head>
    <body class="sb-nav-fixed">
<?php
include 'inc/blocks/header.php';
?>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
<?php
include 'inc/blocks/sidebar.php';
?>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <div class="container-fluid">
                        <div class="row mt-4">

                            <div class="col-xl-4 col-md-6">
                                <div class="card bg-primary text-white mb-4 py-2">
                                    <div class="card-body"><h2 class="my-0"><?=$count_bots;?></h2><span class="">всего ботов</span></div>
                                </div>
                            </div>
     
                            <div class="col-xl-4 col-md-6">
                                <div class="card bg-warning text-white mb-4 py-2">
                                     <div class="card-body"><h2 class="my-0"><?=$count_users;?></h2><span class="">всего пользователей</span></div>
                                </div>
                            </div>
                                                   <div class="col-xl-4 col-md-6">
                                <div class="card bg-success text-white mb-4 py-2">
                                     <div class="card-body"><h2 class="my-0"><?=$count_new_users;?></h2><span class="">новых пользователей сегодня</span></div>

                                </div>
                            </div>
                        </div>
                    </div>
                </main>
            </div>  
        </div>
 <?php
include 'inc/blocks/block.modals.php';
?>
        <script src="https://code.jquery.com/jquery-3.4.1.min.js" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="js/scripts.js"></script>
        <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js" crossorigin="anonymous"></script>
        <script src="assets/demo/datatables-demo.js"></script>
<?php
include 'inc/blocks/block.js.php';
?>
    </body>
</html>
